Subject: Re: bug#71760: [PATCH] js-ts-mode: Fix filling of jsdoc blocks
From: Yuan Fu <[email-masked]>
To: Dmitry Gutov <[email-masked]>
Cc: Damien Cassou <[email-masked]>, [email-masked]
Date: Sat, 3 Aug 2024 20:05:30 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

> On Aug 3, 2024, at 8:14 AM, Dmitry Gutov <[email-masked]> wrote:
> 
> On 03/08/2024 10:34, Yuan Fu wrote:
>>> I think Damien is saying that patch#2 from his submission is not necessary with your fix (commit 74bb1e5897f, IIUC).
>>> 
>>> So do you think it's a good idea to backport it to emacs-30?
>> I’d rather apply Damien’s patch to emacs-30, that’s a simple fix and doesn’t change the filling behavior. The change I applied to master is more substantial, and apparently introduced another regression that I now need to fix 🙁
> 
> Makes sense.
> 
> It would be great if you could do the applying - while I understand the tree-sitter part, I'm not quite familiar with the filling code, so not equipped to give it a "stamp of approval" myself.
> 
> Also, I would probably have to ask whether this patch if a replacement for that's been added to master, an addition, or a suitable alternative.

Of course. I applied the patch. And I think this report can be closed, so closing :-)

Yuan